| Elektra 0.11.0

Functions
kdb.c File Reference

Low level functions for access the Key Database. More...

`#include <stdio.h>`
`#include <kdbassert.h>`
`#include <kdbchangetracking.h>`
`#include <kdbinternal.h>`

## Functions
KeySet * | ksRenameKeys (KeySet *config, const char *name)
| Takes the first key and cuts off this common part for all other keys, instead name will be prepended.
KDB * | kdbOpen (const KeySet *contract, Key *errorKey)
| Opens the session with the Key database.
int | kdbClose (KDB *handle, Key *errorKey)
| Closes the session with the Key database.
int | kdbGet (KDB *handle, KeySet *ks, Key *parentKey)
| Retrieve Keys from the Key database in an atomic and universal way.
int | kdbSet (KDB *handle, KeySet *ks, Key *parentKey)
| Set Keys to the Key database in an atomic and universal way.

## Detailed Description

Low level functions for access the Key Database.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)